﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using Mono.Cecil;

namespace NDasm.Core.UI.Tree
{
    public class MethodNodeViewModel : MemberNodeViewModel
    {
        private static BitmapImage glyph = new BitmapImage(new Uri("/NDasm.Core;component/Resources/methodGlyph.png", UriKind.Relative));

        public MethodNodeViewModel(MethodDefinition methodDefinition, string scope)
            : base(methodDefinition, scope)
        {
        }

        public override ImageSource Glyph
        {
            get { return glyph; }
        }
    }
}
