﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NDasm.Core.UI.Base
{
    public class SelectedItemChangedEventArgs : EventArgs
    {
        public SelectedItemChangedEventArgs(string scope, bool isSelected)
        {
            Scope = scope;
            IsSelected = isSelected;
        }

        public string Scope { get; private set; }
        public bool IsSelected { get; private set; }
    }
}
